/* base layout for the table */
.table {
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
    border-collapse: collapse;
}

.table th,
.table td {
    padding: .75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}

/* table head */
.table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #dee2e6;
}

/* bordered */
.table-bordered {
    border: 1px solid #dee2e6;
}

.table-bordered th,
.table-bordered td {
    border: 1px solid #dee2e6;
}

.table-bordered thead th {
    border-bottom-width: 2px;
}

/* striped */
.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(0, 0, 0, .03);
}

/* hover */
.table-hover tbody tr:hover {
    color: #212529;
    background-color: rgba(0, 0, 0, .075);
}

/* dark header */
.thead-dark th {
    color: #fff;
    background-color: var(--darkblue);
    border-color: var(--darkgray);
}

/* responsive wrapper */
.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}
